## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname colorlog
%global desc "colorlog.ColoredFormatter is a formatter for use with Python's logging module that outputs records using terminal colors."

Name:           python-%{srcname}
Version:        6.9.0
Release:        %autorelease
Summary:        Colored formatter for the Python logging module

License:        MIT
URL:            https://github.com/borntyping/python-colorlog
Source0:        %{url}/archive/v%{version}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-pytest

%generate_buildrequires
%pyproject_buildrequires

%description
%{desc}

%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname}
%{desc}

%prep
%autosetup -n %{name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install

%check
%{pytest} -v

%files -n python3-%{srcname}
%doc README.md
%license LICENSE
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}*.dist-info/

%changelog
## START: Generated by rpmautospec
* Wed Jul 09 2025 Vojtech Trefny <vtrefny@redhat.com> - 6.9.0-4
- Migrate to %%pyproject macros

* Mon Jun 02 2025 Python Maint <python-maint@redhat.com> - 6.9.0-3
- Rebuilt for Python 3.14

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 6.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Oct 29 2024 Fabian Affolter <mail@fabian-affolter.ch> - 6.9.0-1
- Update to latest upstream release (closes rhbz#2322532)

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 6.8.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 6.8.2-2
- Rebuilt for Python 3.13

* Mon Feb 05 2024 Fabian Affolter <mail@fabian-affolter.ch> - 6.8.2-1
- Update to latest upstream release (closes rhbz#2252570)

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 6.7.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 6.7.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 6.7.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 6.7.0-3
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 6.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Sep 14 2022 Fabian Affolter <mail@fabian-affolter.ch> - 6.7.0-1
- Update to latest upstream release 6.7.0 (closes rhbz#2122243)

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 6.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 6.6.0-2
- Rebuilt for Python 3.11

* Tue Feb 22 2022 Fabian Affolter <mail@fabian-affolter.ch> - 6.6.0-1
- Update to latest upstream release 6.6.0 (closes rhbz#2021282)

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 6.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Oct 13 2021 Fabian Affolter <mail@fabian-affolter.ch> - 6.5.0-1
- Update to latest upstream release 6.5.1 (closes rhbz#2011781)

* Thu Aug 26 2021 Fabian Affolter <mail@fabian-affolter.ch> - 6.4.1-1
- * Thu Aug 26 2021 Fabian Affolter <mail@fabian-affolter.ch> - 6.4.1-1 -
  Update to latest upstream release 6.4.1 (rhbz#1941570)

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 4.7.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 4.7.2-3
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 4.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Jan 14 2021 Fabian Affolter <mail@fabian-affolter.ch> - 4.7.2-1
- * Thu Jan 14 2021 Fabian Affolter <mail@fabian-affolter.ch> - 4.7.2-1 -
  Update to latest upstream release 4.7.2 (#1916286)

* Sun Dec 06 2020 Fabian Affolter <mail@fabian-affolter.ch> - 4.6.2-1
- * Sun Dec 06 2020 Fabian Affolter <mail@fabian-affolter.ch> - 4.6.2-1 -
  Update to latest upstream release 4.6.2 (#1895866)

* Sun Nov 08 2020 Fabian Affolter <mail@fabian-affolter.ch> - 4.5.0-1
- * Sun Nov 08 2020 Fabian Affolter <mail@fabian-affolter.ch> - 4.5.0-1 -
  Update to latest upstream release 4.5.0 (#1895334)

* Thu Oct 08 2020 Fabian Affolter <mail@fabian-affolter.ch> - 4.4.0-2
- Fix year

* Thu Oct 08 2020 Fabian Affolter <mail@fabian-affolter.ch> - 4.4.0-1
- * Thu Oct 08 2020 Fabian Affolter <mail@fabian-affolter.ch> - 4.4.0-1 -
  Update to latest upstream release 4.4.0 (#1886516)

* Tue Jul 28 2020 Fabian Affolter <mail@fabian-affolter.ch> - 4.2.1-1
- * Tue Jul 28 2020 Fabian Affolter <mail@fabian-affolter.ch> - 4.2.1-1 -
  Update to latest upstream release 4.2.1 (rhbz#1860075)

* Fri Jun 26 2020 Fabian Affolter <mail@fabian-affolter.ch> - 4.1.0-4
- * Fri Jun 26 2020 Fabian Affolter <mail@fabian-affolter.ch> - 4.1.0-4 -
  Add python3-setuptools as BR

* Tue May 26 2020 Miro Hrončok <miro@hroncok.cz> - 4.1.0-3
- Rebuilt for Python 3.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sun Jan 05 2020 Fabian Affolter <mail@fabian-affolter.ch> - 4.1.0-1
- * Sun Jan 05 2019 Fabian Affolter <mail@fabian-affolter.ch> - 4.1.0-1 -
  Update to latest upstream release 4.1.0 (rhbz#1753875)

* Thu Oct 03 2019 Miro Hrončok <miro@hroncok.cz> - 4.0.1-6
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <miro@hroncok.cz> - 4.0.1-5
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Mar 10 2019 Marek Goldmann <mgoldman@redhat.com> - 4.0.1-3
- Add support for EPEL 7

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Dec 17 2018 Fabian Affolter <mail@fabian-affolter.ch> - 4.0.1-1
- * Mon Dec 17 2018 Fabian Affolter <mail@fabian-affolter.ch> - 4.0.1-1 -
  Update to latest upstream release 4.0.1

* Wed Oct 10 2018 Miro Hrončok <miro@hroncok.cz> - 3.1.4-7
- Python2 binary package has been removed

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <miro@hroncok.cz> - 3.1.4-5
- Rebuilt for Python 3.7

* Sat May 05 2018 Fabian Affolter <fabian@affolter-engineering.ch> - 3.1.4-4
- Remove leftover from merge

* Sat May 05 2018 Fabian Affolter <fabian@affolter-engineering.ch>
- RPMAUTOSPEC: unresolvable merge
## END: Generated by rpmautospec
